/* Homepage */

html.home {
  #presentation-block {
    justify-content: center;
    align-items: center;
    display: flex;

    #presentation {
      text-align: justify;
      padding-right: 4rem;
    }

    #portrait {
      height: 9rem;
      border-radius: 50%;
      align-self: center;
    }
  }

  hr {
    display: none;
  }

  section {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-bottom: 1rem;
  }

  article {
    display: flex;
    padding-bottom: 1rem;
  }

  figure {
    align-items: center;
    display: flex;
    padding-bottom: 3rem;

    .insert-image {
      flex: 2;
      width: 0;
    }

    figcaption {
      text-align: justify;
      flex: 3;

      div {
        display: flex;
        flex-direction: column;
      }
    }
  }

  #design,
  #communicate {
    .insert-image {
      padding-right: 2rem;
    }
  }

  #develop {
    .insert-image {
      padding-left: 2rem;
      flex: 2.5;
    }
  }

  #message-content {
    width: 70%;
    text-align: center;
  }

  #contact-button,
  #contact-button:active,
  #contact-button:focus {
    @include roboto-condensed-font-family;
    display: flex;
    justify-content: space-around;
    background-color: $teal;
    border: 0;
    margin-top: 1.5rem;
    padding: 0.4rem 1rem 0.4rem 1rem;
    font-size: 1.2rem;
    line-height: 3rem;
    text-align: center;
    color: white;
    transition: 0.5s;
    -webkit-transition: 0.5s;
  }

  #contact-button:hover {
    background-color: $dark-teal;
  }

  #contact-button-icon {
    height: 3rem;
  }

  #contact-me {
    white-space: nowrap;
    padding-left: 0.5rem;

    a,
    a:active,
    a:focus,
    a:hover {
      color: white;
    }
  }

  /******************************  Mobile devices: Portrait ******************************/
  @media screen and (orientation: portrait) {
    #presentation-block {
      #presentation {
        padding: 0 0 1rem 0;
        width: 85%;
      }

      #portrait {
        height: 9rem;
        border-radius: 50%;
        align-self: center;
      }
    }

    h4 {
      text-align: center;
    }

    hr {
      display: block;
      margin-top: 0;
      width: 100%;
    }

    article {
      flex-direction: column;
    }

    figure {
      flex-direction: column;
      padding-bottom: 2rem;

      .insert-image {
        width: 60%;
      }
    }

    #design,
    #communicate {
      flex-direction: column-reverse;

      .insert-image {
        padding: 2rem 0 0 0;
      }
    }

    #develop {
      .insert-image {
        padding: 2rem 0 0 0;
        flex: 2.5;
      }
    }

    #message-content {
      width: 85%;
      text-align: center;
    }
  }
}
